Browse Source

Update rebar2 binary, works from Erlang/OTP 22 to 25

The old version was:
  rebar 2.6.4 17 20170823_084242 git 2.6.4-27-g8076675-dirty
and it couldn't work with Erlang/OTP 25

This new version is
  rebar 2.6.4 22 20220426_202500 git 2.6.4-39-gb6d3094
compiled from master branch from
  https://github.com/rebar/rebar
using erlang:22-slim docker image

To compile ejabberd using rebar and ancient Erlang 19.3-21.3,
you need a rebar binary compiled with an old Erlang.
If your operating system doesn't provide one, you can download
the old one included in ejabberd 21.12, available at:
  https://github.com/processone/ejabberd/raw/21.12/rebar
pull/3532/merge
Badlop 3 months ago
parent
commit
12331768bc
  1. BIN
      rebar

BIN
rebar vendored

Binary file not shown.
Loading…
Cancel
Save